#!/bin/sh

#
# BaseTest <certificate file> <certificate password> <clientid>
#    <cardnumber> <value as XX.XX>
#    <card expiry date as XXXX> <servers> <port>

CERT_FILE=
CERT_PASS=
CLIENT_ID=10000000
CARD_NUM=4564456445644564
AMOUNT=1.00
CARD_EXP=0520
GATEWAY_ADDRESS=192.168.0.1
GATEWAY_PORT=3007

echo Doing test transaction to $GATEWAY_ADDRESS
java -cp .:../WebpayClient.jar BaseTest "$CERT_FILE" "$CERT_PASS" "$CLIENT_ID" "$CARD_NUM" "$AMOUNT" "$CARD_EXP" "$GATEWAY_ADDRESS" "$GATEWAY_PORT"
